# ezQuake Manual: Software Rendering Variables

## r_aliastransadj

### Description

Not much is known about this variable except for that increasing the value will cause the player models to be displayed smaller.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 100

Variable is float.

## r_aliastransbase

### Description

Not much is known about this variable except for that increasing the value will cause the player models to be displayed smaller.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 200

Variable is float.

## r_clearcolor

### Description

This variable can be used to change the color for the areas which are not part of the map when free floating outside of the map as spectator.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

Variable is float.

## r_draworder

### Description

Allows you to see through object - for development purposes only.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | First draws closest object, then the more distanced ones.
0 | Standard behaviour - first draws object far from you then closer to you.

Not allowed in multiplayer. See 'developer 1' too.

## r_dspeeds

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Display renderer speed statistics.
0 | Do not display renderer speed statistics.

## r_graphheight

### Description

This variable used to set the number of lines displayed in the "r_timegraph" command.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 15

Variable is float.

## r_maxedges

### Description

This variable sets the maximum number of plane surface edges to be rendered.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## r_maxsurfs

### Description

This variable sets the maximum number of plane surfaces to be rendered.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## r_numedges

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Print information about the number of edges.
0 | Do not print information about the number of edges.

## r_numsurfs

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Print information about the number of surfaces.
0 | Do not print information about the number of surfaces.

## r_polymodelstats

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Print polygon model statistics.
0 | Do not print polygon model statistics.

## r_reportedgeout

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Report when running out of edges.
0 | Do not report when running out of edges.

## r_reportsurfout

### Description

Toggle the display of how many surfaces where not displayed. This shouldn't happen during normal game play, only when in noclip mode.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

## r_timegraph

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Display the timegraph.
0 | Do not display the timegraph.

## r_zgraph

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

### Values

value | description
1 | Display the z-graph.
0 | Do not display the z-graph.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz